# $Revision: 1.8 $, $Date: 2007/02/13 08:06:38 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Checker
Summary:	XML::Checker - a Perl module for validating XML
Summary(pl.UTF-8):	XML::Checker - moduł Perla do sprawdzania poprawności XML-a
Name:		perl-XML-Checker
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6fddcc489b4d9a5063e3a34d72400da9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-Parser >= 2.30
BuildRequires:	perl-XML-DOM >= 1.29
BuildRequires:	perl-libxml >= 0.07
%endif
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Checker can be used in different ways to validate XML. See the
manual pages of XML::Checker::Parser and XML::DOM::ValParser for more
information.

%description -l pl.UTF-8
XML::Checker może być używany w różny sposób do sprawdzania
poprawności XML-a. Więcej informacji znajduje się w stronach manuala
XML::Checker::Parser i XML::DOM::ValParser.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Checker*
%{perl_vendorlib}/XML/DOM/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Checker.spec,v $
Revision 1.8  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.6  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.5  2004/11/03 22:30:54  paladine
- formatting

Revision 1.4  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/04 23:28:11  ankry
- kill perl-libxml-enno

Revision 1.2  2003/10/09 23:07:24  qboosh
- pl, some unifications

Revision 1.1  2003/10/06 17:58:37  migo
- initial release (really)
